# Count

Handles all Count Transfer Restriction related functionality

## Hierarchy

* TransferRestrictionBase‹[Count](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/enums/transferrestrictiontype.md#count)›

  ↳ **Count**

## Index

### Properties

* [addRestriction](#addrestriction)
* [context](#protected-context)
* [get](#get)
* [parent](#protected-parent)
* [removeRestrictions](#removerestrictions)
* [setRestrictions](#setrestrictions)
* [type](#protected-type)

## Properties

### addRestriction

• **addRestriction**: [*ProcedureMethod*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/proceduremethod.md)*‹Omit‹*[*AddCountTransferRestrictionParams*](/polymesh-sdk-api-reference/docs-beta/globals.md#addcounttransferrestrictionparams)*, "type"›, BigNumber›*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md)*.*[*addRestriction*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md#addrestriction)

*Defined in* [*src/api/entities/Asset/TransferRestrictions/Count.ts:27*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/TransferRestrictions/Count.ts#L27)

Add a Count Transfer Restriction to this Asset

**`note`** the result is the total amount of restrictions after the procedure has run

***

### `Protected` context

• **context**: *Context*

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:11*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Namespace.ts#L11)

***

### get

• **get**: *function*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md)*.*[*get*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md#get)

*Defined in* [*src/api/entities/Asset/TransferRestrictions/Count.ts:56*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/TransferRestrictions/Count.ts#L56)

Retrieve all active Count Transfer Restrictions

**`note`** there is a maximum number of restrictions allowed across all types. The `availableSlots` property of the result represents how many more restrictions can be added before reaching that limit

#### Type declaration:

▸ (): *Promise‹*[*ActiveTransferRestrictions*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/activetransferrestrictions.md)*‹*[*CountTransferRestriction*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/counttransferrestriction.md)*››*

***

### `Protected` parent

• **parent**: [*Asset*](/polymesh-sdk-api-reference/docs-beta/classes/asset.md)

*Inherited from void*

*Defined in* [*src/api/entities/Namespace.ts:9*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Namespace.ts#L9)

***

### removeRestrictions

• **removeRestrictions**: [*NoArgsProcedureMethod*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/noargsproceduremethod.md)*‹BigNumber›*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md)*.*[*removeRestrictions*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md#removerestrictions)

*Defined in* [*src/api/entities/Asset/TransferRestrictions/Count.ts:47*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/TransferRestrictions/Count.ts#L47)

Removes all Count Transfer Restrictions from this Asset

**`note`** the result is the total amount of restrictions after the procedure has run

***

### setRestrictions

• **setRestrictions**: [*ProcedureMethod*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/proceduremethod.md)*‹Omit‹*[*SetCountTransferRestrictionsParams*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/setcounttransferrestrictionsparams.md)*, "type"›, BigNumber›*

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md)*.*[*setRestrictions*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md#setrestrictions)

*Defined in* [*src/api/entities/Asset/TransferRestrictions/Count.ts:37*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/TransferRestrictions/Count.ts#L37)

Sets all Count Transfer Restrictions on this Asset

**`note`** the result is the total amount of restrictions after the procedure has run

***

### `Protected` type

• **type**: [*Count*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/enums/transferrestrictiontype.md#count) = TransferRestrictionType.Count as const

*Overrides* [*TransferRestrictionBase*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md)*.*[*type*](/polymesh-sdk-api-reference/docs-beta/classes/transferrestrictionbase.md#protected-abstract-type)

*Defined in* [*src/api/entities/Asset/TransferRestrictions/Count.ts:20*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Asset/TransferRestrictions/Count.ts#L20)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-beta/classes/count.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
